Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.platform
Class PinConnect

    java.lang.Object
      avrora.sim.platform.PinConnect

public class PinConnect
extends java.lang.Object

Very simple implementation of pin interconnect between microcontrollers

Nested Class Summary
`protected class` | `PinConnect.PinEvent`
`protected class` | `PinConnect.PinLink` This class connects two PinNode devices together in two-way communication
`protected class` | `PinConnect.PinNode` This class stores all the information for a single controller node and its PinWires.

Field Summary
`static PinConnect` | `pinConnect`
`protected java.util.LinkedList` | `pinConnections`
`protected java.util.LinkedList` | `pinNodes`

Constructor Summary
`PinConnect()`

Method Summary
`void` | `addSeresNode(Microcontroller mcu, PinWire northTx, PinWire eastTx, PinWire southTx, PinWire westTx, PinWire northRx, PinWire eastRx, PinWire southRx, PinWire westRx, PinWire northInt, PinWire eastInt, PinWire southInt, PinWire westInt)`
`void` | `addSimulatorThread(SimulatorThread simThread)`
`void` | `initializeConnections()` Initialize the connections with a default topology of a chain with connections on the north and south ports

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pinConnect

    public static final PinConnect pinConnect

### pinNodes

    protected java.util.LinkedList pinNodes

### pinConnections

    protected java.util.LinkedList pinConnections

Constructor Detail

### PinConnect

    public PinConnect()

Method Detail

### addSeresNode

    public void addSeresNode(Microcontroller mcu,
                             PinWire northTx,
                             PinWire eastTx,
                             PinWire southTx,
                             PinWire westTx,
                             PinWire northRx,
                             PinWire eastRx,
                             PinWire southRx,
                             PinWire westRx,
                             PinWire northInt,
                             PinWire eastInt,
                             PinWire southInt,
                             PinWire westInt)

### addSimulatorThread

    public void addSimulatorThread(SimulatorThread simThread)

### initializeConnections

    public void initializeConnections()

  Initialize the connections with a default topology of a chain with connections on the north and south ports

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD